summaryrefslogtreecommitdiffstats
path: root/debian/squeeze/tdebase/debian/tdm-trinity.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/squeeze/tdebase/debian/tdm-trinity.postinst')
-rw-r--r--debian/squeeze/tdebase/debian/tdm-trinity.postinst22
1 files changed, 11 insertions, 11 deletions
diff --git a/debian/squeeze/tdebase/debian/tdm-trinity.postinst b/debian/squeeze/tdebase/debian/tdm-trinity.postinst
index 878244fca..253b73bf5 100644
--- a/debian/squeeze/tdebase/debian/tdm-trinity.postinst
+++ b/debian/squeeze/tdebase/debian/tdm-trinity.postinst
@@ -125,8 +125,10 @@ case "$1" in
echo "Otherwise, /etc/trinity/tdm/Xservers is safe to remove."
fi
-
-
+ if [ -f /etc/init.d/tdm-trinity ] && \
+ [ ! -x "`which dpkg-maintscript-helper 2>/dev/null`" ]; then
+ rm -f /etc/init.d/tdm-trinity
+ fi
;;
@@ -140,26 +142,24 @@ case "$1" in
esac
-if [ -x "/etc/init.d/tdm-trinity" ]; then
+if [ -x "/etc/init.d/tdm" ]; then
if [ -x "`which insserv 2>/dev/null`" ]; then
- insserv tdm-trinity >/dev/null
+ insserv tdm >/dev/null
else
if [ -x "`which update-rc.d 2>/dev/null`" ]; then
- update-rc.d tdm-trinity defaults 13 01 >/dev/null
+ update-rc.d tdm defaults 13 01 >/dev/null
fi
fi
fi
-if [ -n "$NOSTART" ]; then
- exit 0
-else
+if [ ! -n "$NOSTART" ]; then
if [ -x "`which service 2>/dev/null`" ]; then
- service tdm-trinity start || true
+ service tdm start || true
else
if [ -x "`which invoke-rc.d 2>/dev/null`" ]; then
- invoke-rc.d tdm-trinity start || true
+ invoke-rc.d tdm start || true
else
- /etc/init.d/tdm-trinity start || true
+ /etc/init.d/tdm start || true
fi
fi
fi